package client;

public class CommClient {
	private static final String HOST = "localhost";
	private static final Integer PORT = 26765;

	public static void main(String[] args) throws Exception {

		for (int i = 0; i < 5; i++) {
			new Thread(new ClientRunner(HOST, PORT, 5000, false)).start();
			new Thread(new ClientRunner(HOST, PORT, 15000, false)).start();
			new Thread(new ClientRunner(HOST, PORT, 0, true)).start();
			new Thread(new ClientRunner(HOST, PORT, 5000, false)).start();
		}
		
		Thread.sleep(20000);
		System.out.println("******** BATCH 2 ********");

		for (int i = 0; i < 5; i++) {
			new Thread(new ClientRunner(HOST, PORT, 5000, false)).start();
			new Thread(new ClientRunner(HOST, PORT, 5000, false)).start();

			new Thread(new ClientRunner(HOST, PORT, 15000, false)).start();
			new Thread(new ClientRunner(HOST, PORT, 0, true)).start();
			new Thread(new ClientRunner(HOST, PORT, 5000, false)).start();
		}
	}
}
